Freeciv-3.1: terrain Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
terrain Struct Reference

`#include <terrain.h>`

## Data Fields

int | item_number
struct name_translation | name
bool | ruledit_disabled
void * | ruledit_dlg
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
char | identifier
char | identifier_load
enum terrain_class | tclass
int | movement_cost
int | defense_bonus
int | output [O_LAST]
struct extra_type ** | resources
int | road_output_incr_pct [O_LAST]
int | base_time
int | road_time
struct terrain * | cultivate_result
int | cultivate_time
struct terrain * | plant_result
int | plant_time
int | irrigation_food_incr
int | irrigation_time
int | mining_shield_incr
int | mining_time
int | placing_time
struct terrain * | transform_result
int | transform_time
int | clean_pollution_time
int | clean_fallout_time
int | pillage_time
const struct unit_type * | animal
struct terrain * | warmer_wetter_result
struct terrain * | warmer_drier_result
struct terrain * | cooler_wetter_result
struct terrain * | cooler_drier_result
int | property [MG_COUNT]
bv_unit_classes | native_to
bv_terrain_flags | flags
struct rgbcolor * | rgb
struct strvec * | helptext

## Detailed Description

Definition at line 176 of file terrain.h.

## Field Documentation

## ◆ animal

const struct unit_type* terrain::animal

Definition at line 223 of file terrain.h.

Referenced by animal_for_terrain(), handle_ruleset_terrain(), terrains_init(), unit_move_to_tile_test(), and unit_teleport_to_tile_test().

## ◆ base_time

int terrain::base_time

Definition at line 200 of file terrain.h.

Referenced by can_build_extra_base(), handle_ruleset_terrain(), help_update_terrain(), helptext_terrain(), is_native_tile_to_extra(), help_widget::set_topic_terrain(), sg_special_set(), terrain_extra_build_time(), and help_widget::terrain_max_values().

## ◆ clean_fallout_time

int terrain::clean_fallout_time

Definition at line 220 of file terrain.h.

Referenced by handle_ruleset_terrain(), is_action_possible(), terrain_extra_removal_time(), and help_widget::terrain_max_values().

## ◆ clean_pollution_time

int terrain::clean_pollution_time

Definition at line 219 of file terrain.h.

Referenced by handle_ruleset_terrain(), is_action_possible(), terrain_extra_removal_time(), and help_widget::terrain_max_values().

## ◆ cooler_drier_result

struct terrain * terrain::cooler_drier_result

Definition at line 227 of file terrain.h.

Referenced by climate_change(), and is_terrain_needed().

## ◆ cooler_wetter_result

struct terrain* terrain::cooler_wetter_result

Definition at line 227 of file terrain.h.

Referenced by climate_change(), and is_terrain_needed().

## ◆ cultivate_result

struct terrain* terrain::cultivate_result

Definition at line 203 of file terrain.h.

Referenced by adv_calc_cultivate(), city_map::context_menu(), handle_ruleset_terrain(), help_update_terrain(), is_action_possible(), mr_menu::menus_sensitive(), popup_workertask_dlg(), real_menus_update(), set_city_workertask(), help_widget::set_topic_terrain(), and tile_cultivate().

## ◆ cultivate_time

int terrain::cultivate_time

Definition at line 204 of file terrain.h.

Referenced by handle_ruleset_terrain(), help_update_terrain(), help_widget::set_topic_terrain(), and tile_activity_time().

## ◆ defense_bonus

int terrain::defense_bonus

Definition at line 193 of file terrain.h.

Referenced by find_best_tile_to_paradrop_to(), handle_ruleset_terrain(), help_update_terrain(), popup_terrain_info(), edit_terrain::refresh(), edit_terrain::set_defense_value(), help_widget::set_topic_terrain(), and help_widget::terrain_max_values().

## ◆ flags

bv_terrain_flags terrain::flags

Definition at line 245 of file terrain.h.

Referenced by edit_terrain::closeEvent(), edit_terrain::edit_terrain(), handle_ruleset_terrain(), and tab_terrains::initialize_new_terrain().

## ◆ graphic_alt

char terrain::graphic_alt[MAX_LEN_NAME]

Definition at line 182 of file terrain.h.

Referenced by edit_terrain::gfx_tag_alt_given(), handle_ruleset_terrain(), edit_terrain::refresh(), and tileset_setup_tile_type().

## ◆ graphic_str

char terrain::graphic_str[MAX_LEN_NAME]

Definition at line 181 of file terrain.h.

Referenced by edit_terrain::gfx_tag_given(), handle_ruleset_terrain(), edit_terrain::refresh(), and tileset_setup_tile_type().

## ◆ helptext

struct strvec* terrain::helptext

Definition at line 249 of file terrain.h.

Referenced by handle_ruleset_terrain(), edit_terrain::helptext(), and helptext_terrain().

## ◆ identifier

char terrain::identifier

Definition at line 184 of file terrain.h.

Referenced by terrain2char(), terrain_by_identifier(), and terrain_identifier().

## ◆ identifier_load

char terrain::identifier_load

Definition at line 185 of file terrain.h.

Referenced by sg_load_savefile(), sg_load_savefile(), and fc_client::slot_selection_changed().

## ◆ irrigation_food_incr

int terrain::irrigation_food_incr

Definition at line 209 of file terrain.h.

Referenced by city_tile_output(), extra_bonus_for_terrain(), handle_ruleset_terrain(), and help_widget::terrain_max_values().

## ◆ irrigation_time

int terrain::irrigation_time

Definition at line 210 of file terrain.h.

Referenced by can_build_extra_base(), get_activity_time(), handle_ruleset_terrain(), is_native_tile_to_extra(), sg_special_set(), terrain_can_support_alteration(), terrain_extra_build_time(), and help_widget::terrain_max_values().

## ◆ item_number

int terrain::item_number

Definition at line 177 of file terrain.h.

Referenced by terrain_number(), and terrains_init().

## ◆ mining_shield_incr

int terrain::mining_shield_incr

Definition at line 212 of file terrain.h.

Referenced by city_tile_output(), extra_bonus_for_terrain(), handle_ruleset_terrain(), and help_widget::terrain_max_values().

## ◆ mining_time

int terrain::mining_time

Definition at line 213 of file terrain.h.

Referenced by can_build_extra_base(), handle_ruleset_terrain(), is_native_tile_to_extra(), sg_special_set(), terrain_can_support_alteration(), terrain_extra_build_time(), and help_widget::terrain_max_values().

## ◆ movement_cost

int terrain::movement_cost

Definition at line 192 of file terrain.h.

Referenced by handle_ruleset_terrain(), help_update_terrain(), popup_terrain_info(), edit_terrain::refresh(), edit_terrain::set_mcost_value(), help_widget::set_topic_terrain(), and help_widget::terrain_max_values().

## ◆ name

struct name_translation terrain::name

Definition at line 178 of file terrain.h.

Referenced by handle_ruleset_terrain(), tab_terrains::initialize_new_terrain(), tab_terrains::name_given(), terrain_name_translation(), terrain_rule_name(), and tab_terrains::update_terrain_info().

## ◆ native_to

bv_unit_classes terrain::native_to

Definition at line 243 of file terrain.h.

Referenced by edit_terrain::closeEvent(), edit_terrain::edit_terrain(), handle_ruleset_terrain(), and is_native_to_class().

## ◆ output

int terrain::output[O_LAST]

Definition at line 195 of file terrain.h.

Referenced by city_tile_output(), extra_bonus_for_terrain(), handle_ruleset_terrain(), help_update_terrain(), help_widget::set_topic_terrain(), and help_widget::terrain_max_values().

## ◆ pillage_time

int terrain::pillage_time

Definition at line 221 of file terrain.h.

Referenced by handle_ruleset_terrain(), is_action_possible(), terrain_extra_removal_time(), and help_widget::terrain_max_values().

## ◆ placing_time

int terrain::placing_time

Definition at line 215 of file terrain.h.

Referenced by handle_ruleset_terrain(), and player_can_place_extra().

## ◆ plant_result

struct terrain* terrain::plant_result

Definition at line 206 of file terrain.h.

Referenced by adv_calc_plant(), city_map::context_menu(), handle_ruleset_terrain(), help_update_terrain(), is_action_possible(), is_terrain_needed(), mr_menu::menus_sensitive(), popup_workertask_dlg(), real_menus_update(), set_city_workertask(), help_widget::set_topic_terrain(), and tile_plant().

## ◆ plant_time

int terrain::plant_time

Definition at line 207 of file terrain.h.

Referenced by handle_ruleset_terrain(), help_update_terrain(), help_widget::set_topic_terrain(), and tile_activity_time().

## ◆ property

int terrain::property[MG_COUNT]

Definition at line 239 of file terrain.h.

Referenced by count_terrain_property_near_tile(), is_tiny_island(), make_rivers(), most_shallow_ocean(), pick_ocean(), and pick_terrain().

## ◆ resources

struct extra_type** terrain::resources

Definition at line 197 of file terrain.h.

Referenced by add_resources(), fair_map_make_resources(), handle_ruleset_terrain(), help_update_terrain(), help_widget::set_topic_terrain(), and terrain_has_resource().

## ◆ rgb

struct rgbcolor* terrain::rgb

Definition at line 247 of file terrain.h.

Referenced by get_terrain_color(), handle_ruleset_terrain(), imgcolor_terrain(), fc_client::slot_selection_changed(), and terrains_init().

## ◆ road_output_incr_pct

int terrain::road_output_incr_pct[O_LAST]

Definition at line 199 of file terrain.h.

Referenced by extra_bonus_for_terrain(), handle_ruleset_terrain(), helptext_road_bonus_str(), and help_widget::terrain_max_values().

## ◆ road_time

int terrain::road_time

Definition at line 201 of file terrain.h.

Referenced by can_build_extra_base(), handle_ruleset_terrain(), help_update_terrain(), helptext_terrain(), is_native_tile_to_extra(), help_widget::set_topic_terrain(), sg_special_set(), terrain_can_support_alteration(), terrain_extra_build_time(), and help_widget::terrain_max_values().

## ◆ ruledit_disabled

bool terrain::ruledit_disabled

Definition at line 179 of file terrain.h.

Referenced by tab_terrains::add_now(), tab_terrains::delete_now(), tab_terrains::name_given(), and terrains_init().

## ◆ ruledit_dlg

void* terrain::ruledit_dlg

Definition at line 180 of file terrain.h.

Referenced by edit_terrain::closeEvent(), tab_terrains::delete_now(), tab_terrains::edit_now(), and terrains_init().

## ◆ tclass

enum terrain_class terrain::tclass

Definition at line 190 of file terrain.h.

Referenced by count_terrain_class_near_tile(), handle_ruleset_terrain(), is_terrain_class_card_near(), is_terrain_class_near_tile(), terrain_class_name_translation(), and terrain_type_terrain_class().

## ◆ transform_result

struct terrain* terrain::transform_result

Definition at line 217 of file terrain.h.

Referenced by adv_calc_transform(), city_map::context_menu(), handle_ruleset_terrain(), help_update_terrain(), is_action_possible(), is_terrain_needed(), mr_menu::menus_sensitive(), popup_workertask_dlg(), real_menus_update(), set_city_workertask(), help_widget::set_topic_terrain(), and tile_transform().

## ◆ transform_time

int terrain::transform_time

Definition at line 218 of file terrain.h.

Referenced by handle_ruleset_terrain(), help_update_terrain(), help_widget::set_topic_terrain(), help_widget::terrain_max_values(), and tile_activity_time().

## ◆ warmer_drier_result

struct terrain * terrain::warmer_drier_result

Definition at line 226 of file terrain.h.

Referenced by climate_change(), and is_terrain_needed().

## ◆ warmer_wetter_result

struct terrain* terrain::warmer_wetter_result

Definition at line 226 of file terrain.h.

Referenced by climate_change(), and is_terrain_needed().